package ovh.herisson.Clyde.Tables;

import java.util.Date;

import org.hibernate.annotations.CreationTimestamp;

import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.ManyToOne;
import lombok.Data;

@Data
@Entity
public class Notification {

	private enum Status {
		Unread, 
		Read,
	}

	@Id
	private int id;
	
	private String Subject;

	private String body;

	private Status status;

	private String link;

	@ManyToOne
	private User user;

	@CreationTimestamp
	private Date creation;
}
